Subject: Re: Extensions to OSPF to Support Mobile Ad Hoc Networking

From: "Henderson, Thomas R" <[email-masked]>
Date: Tue, 17 Feb 2004 18:11:57 -0800

I have some questions and comments on this document.

- it is unclear whether this is intended for v2.  At the
start of section 2, it seems to be intended for both v2 and
v3, but the discussion is very v3 specific.

- at the end of page 4, there was discussion about the fact
that too many neighbors will cause scalability problems.  This
was also discussed in Fred Baker's MANET draft from 2002.  
Do you intend to introduce mechanisms for minimizing the 
number of neighbors that a router tries to become adjacent with,
or is that outside the scope of this proposal?

- could you please explain why LLS extensions are preferable
to defining a new packet type (such as Incremental Hello)?
If there is no advantage, LLS seems a more roundabout way to do it.

- in section 2.3.4.1, last bullet, what do you mean by neighbors
possibly being DR or BDR?  

- do you foresee additional significant extensions beyond
use of MPRs/ack strategy for flooding and use of incremental Hellos?

Tom

> -----Original Message-----
> From: Russ White [mailto:[email-masked]] 
> Sent: Wednesday, February 11, 2004 6:53 AM
> To: [email-masked]
> Subject: Extensions to OSPF to Support Mobile Ad Hoc Networking
> 
> 
> Y'all:
> 
> We are past the new work cutoff, so I'm posting this directly 
> here, rather
> than waiting 'til after IETF to do so. I'll post it in the 
> normal way after
> IETF is over.
> 
http://www.riw.us/temp/draft-chandra-ospf-manet-00.txt

Abstract:

This document describes extensions to OSPF to support mobile ad hoc
networking. Specifically, the document specifies a mechanism for
link-local signaling, a OSPF-MANET interface, a simple technique to
reduce the size of Hello packets by only transmitting incremental
state changes, and a method for optimized flooding of routing
updates.

:-)

Russ

__________________________________
[email-masked] CCIE <>< Grace Alone

---

From: Russ White <[email-masked]>
Date: Mon, 23 Feb 2004 14:30:52 -0500

> - at the end of page 4, there was discussion about the fact that too many
> neighbors will cause scalability problems.  This was also discussed in
> Fred Baker's MANET draft from 2002.  Do you intend to introduce
> mechanisms for minimizing the number of neighbors that a router tries to
> become adjacent with, or is that outside the scope of this proposal?

The direction we're going on in this area is to reduce the cost of becoming
adjacent, rather than preventing adjacencies in the first place--at least
at this point.

> - could you please explain why LLS extensions are preferable to defining
> a new packet type (such as Incremental Hello)? If there is no advantage,
> LLS seems a more roundabout way to do it.

Because it doesn't impact backwards compatibility. The LLS extensions will
be quietly ignored if the router doesn't know how to support it, which
allows us to continue and build a "normal" OSPF adjacency with that
neighbor. If we use some other packet type, we either need to send those
packets plus hello's, to maintain backwards compatibility, or only send
this new placket type, which would break backwards compatability.

> - do you foresee additional significant extensions beyond use of MPRs/ack
> strategy for flooding and use of incremental Hellos?

Yes, possibly. There are other uses within OSPF, as well, so it's a generic
extension that's useful for a lot of other things, not just MANET.
Flexibility is good. :-)

:-)

Russ